# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-setuptools_hg
%global mod_name setuptools_hg

Name:           python-module-setuptools_hg
Version:        0.2.1
Release:        alt1_5
Summary:        Setuptools plugin for Mercurial version control

Group:          Development/Python
License:        GPLv2
URL:            http://pypi.python.org/pypi/%{mod_name}
Source0:        http://pypi.python.org/packages/source/s/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info

%description
setuptools_hg is a plugin for setuptools that enables setuptools to find files
under the Mercurial version control system.It uses the Mercurial Python library
by default and falls back to use the command line program ``hg``. That's 
especially useful inside virtualenvs that don't have access to the system wide 
installed Mercurial lib (e.g. when created with ``--no-site-packages``).

%prep
%setup -q -n %{mod_name}-%{version}
chmod -x LICENSE

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


 
%files
%{python_sitelibdir_noarch}/%{mod_name}.*
%{python_sitelibdir_noarch}/*.egg-info/

%doc LICENSE PKG-INFO


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1_5
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1_4
- initial fc import

